\documentclass[a4paper,12pt,titlepage]{report}
\usepackage[utf8]{inputenc}

\title{SPIIR userguide}
\author{qi.chu .. }
\date{March 2020}

\usepackage{natbib}
\usepackage{makeidx}
\usepackage{graphicx}
\usepackage{ccaption}
\usepackage{caption}
%\usepackage{subcaption}
\usepackage{verbatim}
\usepackage{dirtree}
\usepackage{amsmath, amsthm,amssymb}
\usepackage{mathrsfs}
\usepackage{color}
\usepackage{listings}
\usepackage{subfigure}

\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95,0.95,0.92}

\newcommand{\mc}{\mathcal}
\newcommand*\diff{\mathop{}\!\mathrm{d}}

\usepackage[colorlinks = true,
            linkcolor = blue,
            urlcolor  = blue,
            citecolor = blue,
            anchorcolor = blue]{hyperref}
\usepackage{colortbl}

\lstset{
  backgroundcolor=\color{backcolour},
  frame=tb,
  breaklines=true, 
  language=bash,
  basicstyle=\small \ttfamily
}

\lstdefinestyle{alexstyle}{
	backgroundcolor=\color{backcolour},   
	commentstyle=\color{codegreen},
	keywordstyle=\color{magenta},
	numberstyle=\tiny\color{codegray},
	stringstyle=\color{codepurple},
	basicstyle=\footnotesize,
	breakatwhitespace=false,         
	breaklines=true,                 
	captionpos=b,                    
	keepspaces=true,                 
	numbers=left,                    
	numbersep=5pt,                  
	showspaces=false,                
	showstringspaces=false,
	showtabs=false,                  
	tabsize=2
}

%---------------------------------------------------------
%---------------------------------------------------------
\begin{document}

\newpage
%---------------------------------------------------------
% Do the table of Contents and lists of figures and tables
%---------------------------------------------------------
\tableofcontents
\markboth{}{}
\newpage

\pagenumbering{arabic}
%---------------------------------------------------------
%---------------------------------------------------------
%Include the chapters!

\include{chapters/Prologue}

\include{chapters/Chapter1}           % This is chapter 1

\include{chapters/Chapter2}          % This is chapter 2

\include{chapters/Chapter3}          % etc. 

\include{chapters/Chapter4}          % etc. 

\include{chapters/Chapter5}          % etc. 

%\newpage
%---------------------------------------------------------
\renewcommand{\bibname}{References}
\bibliography{references/refs}
\bibliographystyle{styles/hplain}   

\end{document}
